<?php
 echo "Entrez une première chaîne avec des espaces  : ";
 fscanf(STDIN,"%s",$Saisie1)                           ;
 echo "echo : Première chaîne : ".$Saisie1.PHP_EOL     ; 
 echo "Entrez une deuxième chaîne sans espaces      : ";
 fscanf(STDIN,"%s",$Saisie2)                           ;
 fprintf(STDOUT,"fprintf : %s%s",$Saisie2,PHP_EOL)      ;
 echo "Entrez une troisième chaîne avec des espaces : ";
 $Saisie3=fgets(STDIN)                                 ;
 // supprime les espaces en début et fin, et la fin de ligne
 $Saisie3=trim($Saisie3)                               ;
 fputs(STDOUT,"fputs : ".$Saisie3.PHP_EOL)             ;
?>
